routes/admin.php
<?php

Route::get('/', 'HomeController@index')->name('dashboard');

Route::get('/department/data', 'DataController@departments')->name('department.data');

Route::get('/booking/data', 'DataController@booking')->name('booking.data');
Route::resource('booking', 'BookingController');
Route::post('booking/{id}', 'BookingController@confirm')->name('booking.confirm');
Route::get('/print/bookings','BookingController@printAllBooking')->name('booking.printall');

Route::get('/private-office-request/data', 'DataController@privateOfficeRequest')->name('private-office-request.data');
Route::resource('private-office-request', 'PrivateOfficeRequestController');

Route::get('/category/data', 'DataController@category')->name('category.data');
Route::get('/category/dataTrashed', 'DataController@categoryTrashed')->name('category.dataTrashed');
Route::resource('category', 'CategoryController');
Route::get('category-trashed', 'CategoryController@indexTrashed')->name('category.trashed');
Route::get('category-trashed-restore/{id}', 'CategoryController@restore')->name('category.restore');


Route::get('/plan/data', 'DataController@plan')->name('plan.data');
Route::get('/plan/dataTrashed', 'DataController@planTrashed')->name('plan.dataTrashed');
Route::get('/myplan/data', 'DataController@myplan')->name('myplan.data');
Route::resource('plan', 'PlanController');
Route::get('plan-trashed', 'PlanController@indexTrashed')->name('plan.trashed');
Route::get('plan-trashed-restore/{id}', 'PlanController@restore')->name('plan.restore');

Route::get('/payment/data', 'DataController@payment')->name('payment.data');

Route::get('/user/data', 'DataController@users')->name('user.data');
Route::resource('user', 'UserController');
Route::get('/useremployee', 'UserController@indexEmployee')->name('user.employee');
Route::get('/print/invoice/{id}','BookingController@printInvoiceAdmin')->name('booking.invoice');

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});

Route::get('/search-coworking',  'User\BookingController@searchSchedule');

Route::post('/private-office-message',  'User\BookingController@submitPrivateOffice')->name('private-office-message');

Route::middleware('web', 'auth')->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('user-dashboard');

    Route::get('/myplans', function () {
        return view('user.myplan.index');
    })->name('user-myplan');

    Route::get('/myplans/e-voucher/{id}','User\BookingController@evoucher')->name('user-myplan-evoucher');
    Route::get('/print/e-voucher/{id}','User\BookingController@printEvoucher')->name('user-print-evoucher');

    Route::get('/payments', function () {
        return view('user.payments.index');
    })->name('user-payment');

    Route::get('/payments/invoice/{id}','User\PaymentController@invoice')->name('user-payment-invoice');
    Route::get('/print/invoice/{id}','User\PaymentController@printInvoice')->name('user-print-invoice');

    Route::post('/pay', 'User\PaymentController@payFromPaymentList')->name('user-pay');
    Route::post('/upload-payment-proof', 'User\PaymentController@uploadPaymentProof')->name('user-upload-payment-proof');

    Route::get('/services', 'User\BookingController@service')->name('user-services');

});

Route::get('/basket', function(){
    // check auth
    if(!Auth::check()){
        return redirect()->intended('login');
    }
    
    return redirect()->route('user-services');
})->name('user-basket');

Route::post('/basket', 'User\BookingController@basket')->name('user-basket');

Route::get('/proceedpayment', function(){
    // check auth
    if(!Auth::check()){
        return redirect()->intended('login');
    }
    
    return redirect()->route('user-services');
})->name('user-proceedpayment');

Route::post('/proceedpayment', 'User\BookingController@proceedPayment')->name('user-proceedpayment');





Auth::routes(['verify' => true]);

app/Models/Plan.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Str;

class Plan extends Model
{
    //
    use SoftDeletes;

    protected $date = ['deleted_at'];

    protected $guarded = [];

    protected $filled = [
        'name',
        'price',
        'slug',
        'description',
        'category_id',
    ];

    // get list plan
    public static function getList()
    {
        return self::orderBy('created_at', 'desc')->get();
    }

    // create plan
    public function createPlan()
    {
        $plan = new Plan();
        $plan->name = $this->name;
        $plan->price = $this->price;
        $plan->description = $this->description;
        $plan->category_id = $this->category_id;
        $plan->save();

        return $plan;
    }

    // update plan

    public function updatePlan()
    {
        $plan = Plan::find($this->id);
        $plan->name = $this->name;
        $plan->price = $this->price;
        $plan->description = $this->description;
        $plan->category_id = $this->category_id;
        $plan->save();

        return $plan;
    }

    // delete plan
    public function deletePlan()
    {
        $plan = Plan::find($this->id);
        $plan->delete();

        return $plan;
    }


    public function category()
    {
        return $this->belongsTo(Category::class)->withTrashed();
    }

    public function getPriceAttribute($value)
    {
        return number_format($value, 2, ',', '.');
    }

    public function setPriceAttribute($value)
    {
        $this->attributes['price'] = str_replace(',', '', $value);
    }

    public function getDescriptionAttribute($value)
    {
        return nl2br($value);
    }

    public function setDescriptionAttribute($value)
    {
        $this->attributes['description'] = str_replace("\n", '', $value);
    }

    public function getNameAttribute($value)
    {
        return ucwords($value);
    }

    public function setNameAttribute($value)
    {
        $this->attributes['name'] = strtolower($value);
    }


    public function setSlugAttribute($value) {

        if (static::whereSlug($slug = Str::slug($value))->exists()) {
    
            $slug = $this->incrementSlug($slug);
        }
    
        $this->attributes['slug'] = $slug;
    }

    protected function incrementSlug($slug)
    {
        $count = static::whereSlug($slug)->count();
        return "{$slug}-{$count}";
    }



}

app/Http/Controllers/Admin/PlanController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Booking;
use App\Models\Category;
use App\Models\Plan;
use Auth;
use Carbon\Carbon;
use Error;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Str;

class PlanController extends Controller
{

    public function __construct()
    {
        // $this->middleware("permission:read booking")->only(["index"]);
        // $this->middleware("permission:create booking")->only(["create", "store"]);
        // $this->middleware("permission:update booking")->only(["edit", "update"]);
        // $this->middleware("permission:delete booking")->only(["destroy"]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('admin.plan.index', [
            'title' => 'Plan | Techpolitan',
            'isRecycleBin' => false,
        ]);
    }

    public function indexTrashed()
    {
        return view('admin.plan.index', [
            'title' => 'Plan | Techpolitan',
            'isRecycleBin' => true,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.plan.create', [
            'title' => 'Tambah Booking | Techpolitan',
            'categories' => Category::all(),
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        request()->validate([
            'name' => 'required',
            'price' => 'required',
            'description' => '',
            'pax' => 'required',
            'category_id' => 'required',
            'image' => 'required|mimes:png,jpg,jpeg|max:2048',
        ]);

        $plan = new Plan;

        if($request->hasFile('image')) {

            $image = $request->file('image');
            $plan->slug = Str::slug($request->name, '-');
            $imageName = time() . '.' . $image->getClientOriginalExtension();
            $image->move(public_path('images/plan/'), $imageName);
            $plan->name = $request->name;
            $plan->price = $request->price;
            $plan->image = $imageName;
            $plan->description = $request->description;
            $plan->pax = $request->pax;
            $plan->category_id = $request->category_id;
            $plan->save();

            return redirect()->route('admin.plan.index')->with('success', 'Data berhasil ditambahkan');
        }
        
        return redirect()->back()->with('danger', 'Data Gagal Ditambahkan')->withInput();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $plan = Plan::findOrFail($id);
        return view('admin.plan.show', [
            'title' => 'Detail Plan | Techpolitan',
            'plan' => $plan,
        ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Plan $plan)
    {

        return view('admin.plan.edit', [
            'title' => 'Edit Booking | Techpolitan',
            'plan' => $plan,
            'categories' => Category::all(),
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'price' => 'required',
            'description' => '',
            'pax' => 'required',
            'category_id' => 'required',
            'image' => 'mimes:png,jpg,jpeg|max:2048',

        ]);

        try {
            DB::beginTransaction();

            $plan = Plan::find($request->id);
            $plan->name = $request->name;
            $plan->slug = Str::slug($request->name, '-');
            $plan->price = $request->price;
            $plan->description = $request->description;
            $plan->pax = $request->pax;
            $plan->category_id = $request->category_id;

            if($request->hasFile('image')) {
                $image = $request->file('image');
                $imageName = time() . '.' . $image->getClientOriginalExtension();
                $image->move(public_path('images/plan/'), $imageName);
                $plan->image = $imageName;
            }

            $plan->update();


            DB::commit();
        } catch (QueryException $e) {
            DB::rollBack();
            return redirect()->route('admin.plan.index')->with('danger', 'Data Gagal Diupdate' . $e->getMessage());
        }

        return redirect()->route('admin.plan.index')->with('info', 'Data Berhasil Diupdate');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Plan $plan)
    {
        $plan->delete();

        return redirect()->route('admin.plan.index')->with('danger', 'Data Berhasil Dihapus');
    }

    public function restore($id)
    {
        $plan = Plan::withTrashed()->findOrFail($id);
        $plan->restore();

        return redirect()->route('admin.plan.index')->with('info', 'Data Berhasil Dikembalikan');
    }
}

resources/views/admin/plan/action.blade.php
@if($model->deleted_at == null)
<a href="{{ route('admin.plan.show', $model) }}" class="btn btn-primary"><i class="fa fa-eye"></i></a>
<a href="{{ route('admin.plan.edit', $model) }}" class="btn btn-warning"><i class="fa fa-pencil"></i></a>

<button href="{{ route('admin.plan.destroy', $model) }}" class="btn btn-danger" id="delete"><i class="fa fa-trash"></i></button>
@else
<button href="{{ route('admin.plan.restore', $model) }}" class="btn btn-success" id="restore"><i class="fa fa-undo"></i></button>
@endif

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
<script>
    $('button#delete').on('click', function(e) {
        e.preventDefault();

        var href = $(this).attr('href');

        Swal.fire({
            title: 'Apakah Yakin Hapus Data?',
            text: "Data yang sudah dihapus akan masuk ke tong sampah !",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Hapus'
        }).then((result) => {
            if (result.value) {

                document.getElementById('deleteForm').action = href;
                document.getElementById('deleteForm').submit();

                Swal.fire(
                    'Terhapus',
                    'Data kamu berhasil dihapus',
                    'success'
                )
            }
        })
    })

    $('button#restore').on('click', function(e) {

        e.preventDefault();

        var href = $(this).attr('href');

        Swal.fire({
            title: 'Apakah Yakin Restore Data?',
            text: "Data akan dikembalikan dari tong sampah !",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Restore'
        }).then((result) => {
            if (result.value) {

                document.getElementById('restoreForm').action = href;
                document.getElementById('restoreForm').submit();

                Swal.fire(
                    'Restored',
                    'Data kamu berhasil dikembalikan',
                    'success'
                )
            }
        })
          
    })
</script>

resources/views/admin/plan/create.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
    <h1>
      Plan <small>Tambah Data</small>
    </h1>
    <ol class="breadcrumb">
    <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="{{ route('admin.plan.index') }}"></i> Plan</a></li>
      <li class="active">Tambah Data Plan</li>
    </ol>
  </section>

<section class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
            <div class="box-header with-border">
                <h3 class="box-title">Tambah Data Plan</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->

            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <!-- form multipart -->

            <form class="form-horizontal" action="{{ route('admin.plan.store')}}" method="POST"  enctype="multipart/form-data">
                @csrf
                <div class="box-body">
                    <div class="form-group @error('name') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Plan Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="name" placeholder="Masukan Nama User" value="{{ old('name') }}">
                            @error('name')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('price') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Price</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="price" placeholder="Masukan Price" value="{{ old('price') }}">
                            @error('price')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('pax') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Daily Max Pax</label>

                        <div class="col-sm-10">
                            <input type="number" class="form-control" name="pax" placeholder="Masukan Max Pax" value="{{ old('pax') }}" />
                            @error('pax')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- image field -->

                <div class="box-body">
                    <div class="form-group @error('image') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Image</label>

                        <div class="col-sm-10">
                            <input type="file" class="form-control" name="image" placeholder="Masukan Image" value="{{ old('image') }}" />
                            @error('image')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- category field -->
                <div class="box-body">
                    <div class="form-group @error('category_id') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Category</label>

                        <div class="col-sm-10">
                            <select name="category_id" class="form-control">
                                <option value="">Pilih Category</option>
                                @foreach ($categories as $category)
                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                            @error('category_id')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- description field -->
                <div class="box-body">
                    <div class="form-group @error('description') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Description</label>

                        <div class="col-sm-10">
                            <textarea class="form-control" name="description" placeholder="Masukan Description">{{ old('description') }}</textarea>
                            @error('description')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- /.box-body -->
                <div class="box-footer">
                <button type="submit" class="btn btn-info">Tambah Data</button>
                </div>
                <!-- /.box-footer -->
            </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
@endsection

@push('script')
<script src="{{ asset('admin/plugins/bs-notify.min.js') }}"></script>

@include('admin.template.partials.alert')

@endpush

resources/views/admin/plan/edit.blade.php
<!-- edit plan page -->

@extends('admin.template.default')

@section('content')

<section class="content-header">
    <h1>
        Plan <small>Edit Data</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('admin.plan.index') }}"></i> Plan</a></li>
        <li class="active">Edit Data Plan</li>
    </ol>
</section>


<section class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Edit Data Plan</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" action="{{ route('admin.plan.update', $plan->id) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method("PUT")
                    <!-- input hidden id -->
                    <input type="hidden" name="id" value="{{ $plan->id }}">
                    <div class="box-body">
                        <div class="form-group @error('name') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Plan Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="name" placeholder="Masukan Nama User" value="{{ $plan->name }}">
                                @error('name')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                    <div class="box-body">
                        <div class="form-group @error('price') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Price</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="price" placeholder="Masukan Price" value="{{ $plan->getRawOriginal('price') }}">
                                @error('price')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>
                    

                    <!-- pax field -->
                    <div class="box-body">
                        <div class="form-group @error('pax') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Daily Max Pax</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="pax" placeholder="Masukan Pax" value="{{ $plan->pax }}">
                                @error('pax')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>

                    <!-- image field and show last image -->
                    <div class="box-body">
                        <div class="form-group @error('image') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Image</label>

                            <div class="col-sm-10">
                                <input type="file" class="form-control" name="image" placeholder="Masukan Image" value="{{ $plan->image }}">
                                @error('image')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                            <!-- show last image from db -->
                            <div class="col-sm-2">

                            </div>

                            <div class="col-sm-10">
                            @if($plan->image)
                            <img src="{{asset('images/plan')}}/{{$plan->image}}" width="200px" alt="">
                            @endif
                            </div>
                            
                        </div>
                    </div>
                    
                    <!-- category id field  -->
                    <div class="box-body">
                        <div class="form-group @error('category_id') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Category</label>

                            <div class="col-sm-10">
                                <select name="category_id" class="form-control">
                                    <option value="">Pilih Category</option>
                                    @foreach ($categories as $category)
                                    <option value="{{ $category->id }}" {{ $plan->category_id == $category->id ? 'selected' : '' }}>{{ $category->name }}</option>
                                    @endforeach
                                </select>
                                @error('category_id')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                     <!-- description field -->
                     <div class="box-body">
                        <div class="form-group @error('description') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Description</label>

                            <div class="col-sm-10">
                                <textarea class="form-control" name="description" placeholder="Masukan Description">{{ $plan->description }}</textarea>
                                @error('description')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-info">Submit</button>
                        <a href="{{ route('admin.plan.index') }}" class="btn btn-default">Cancel</a>
                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
            <!-- /.box -->
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>


@endsection

resources/views/admin/plan/index.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
  <h1>
    Plan @if($isRecycleBin) <small>Recycle Bin</small> @endif
  </h1>
  <ol class="breadcrumb">
  <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Plan</li>
  </ol>
</section>

<section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Data Plan</h3>

            <div style="float: right!important">
              @if(!$isRecycleBin)
              <a href="{{ route('admin.plan.trashed') }}" class="btn btn-warning btn-sm">Recycle Bin</a>
              <a href="{{ route('admin.plan.create') }}" class="btn btn-primary btn-sm"><i class="fa fa-plus"></i>Tambah Plan Data</a>
              @endif

            </div>

          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <table id="dataTable" class="table table-bordered table-hover">
              <thead>
              <tr>
                <th>#</th>
                <th>Name</th>
                <th>Category</th>
                <th>Price</th>
                <th>Image</th>
                <th>Description</th>
                <th>Action</th>
              </tr>
              </thead>

              <tbody>

              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
</section>

@endsection

@if(!$isRecycleBin)
<form action="" method="post" id="deleteForm">
  @csrf
  @method("DELETE")
  <input type="submit" value="Hapus" style="display: none">
</form>

@else
<form action="" method="get" id="restoreForm">
  @csrf
  @method("GET")
  <input type="submit" value="Restore" style="display: none">
</form>
@endif

@push('script')

    <script src="{{ asset('admin/plugins/bs-notify.min.js') }}"></script>

    @include('admin.template.partials.alert')

    <script>
        $(function() {
          $('#dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: '@if($isRecycleBin){{route('admin.plan.dataTrashed')}}@else{{route('admin.plan.data')}}@endif' ,
            columns: [
              { data: 'DT_RowIndex', orderable: false, searchable: false },
              { data: 'name' },
              { data: 'category' },
              { data: 'price' },
              { data: 'image', render:function(data, type, row){
                if(data != null && data != ''){
                  return `<img src="{{url('/')}}/images/plan/${data}" width="100px">`;
                }
                else{
                  return `<img src="{{asset('images/products/daily-pass-thumb.webp')}}" width="100px">`;
                }
              } },
              { data: 'description' },
              { data: 'action' }
              
            ]
          })
        })
    </script>

@endpush